Page MenuHomePhabricator

Enable Content and Section translation on wikipedias with new MT support from Google
Open, In Progress, MediumPublic

Description

A set of languages without previous machine translation support will get support from Google Translate (T308248) and, for many of those, Content and Section translation is not available by default. Once these languages have MT support, exposing the possibility of translating articles may be convenient. This ticket proposes to enable Content and Section Translation and improve template support for these languages:

  • Bhojpuri (bh)
  • Divehi/Maldivian (dv)
  • Ewe (ee)
  • Guarani (gn)
  • Manipuri/Meitei (mni)
  • Quechua (qu)
  • Sanskrit (sa)
  • Tigrinya (ti)
  • Twi (tw) [Google MT API code: ak]
  • Bambara (bm) (will be covered in T314557 once MT works)
  • Goan Konkani (gom) [Google MT API code: kom] (will be covered in T314557 once MT works)
  • Maithili (mai) [Google MT API code: mai-Mtei] (will be covered in T314557 once MT works)

Steps:

  • Generate template parameter alignments (T221211)
    • en -> bh (244)
    • en -> bm (1)
    • en -> dv (12)
    • en -> ee (5)
    • en -> gn (6)
    • en -> gom (10)
    • en -> mni
    • en -> qu (2)
    • en -> sa (91)
    • en -> ti (5)
    • en -> tw (2)
  • Enable selected wikis on Test Wikipedia
  • Communicate with the communities:
    • Bhojpuri (bh)
    • Divehi/Maldivian (dv)
    • Ewe (ee)
    • Guarani (gn)
    • Manipuri/Meitei (mni)
    • Quechua (qu)
    • Sanskrit (sa)
    • Tigrinya (ti)
    • Twi (tw)
  • Enable Content and Section Translation in the selected Wikipedias

Event Timeline

Vector model for mni seems not exists, so skipping mni from template parameter alignment generation.

mni
--2022-08-03 06:36:25--  https://dl.fbaipublicfiles.com/fasttext/vectors-wiki/wiki.mni.zip
Resolving webproxy.eqiad.wmnet (webproxy.eqiad.wmnet)... 2620:0:861:1:208:80:154:32, 208.80.154.32
Connecting to webproxy.eqiad.wmnet (webproxy.eqiad.wmnet)|2620:0:861:1:208:80:154:32|:8080... connected.
Proxy request sent, awaiting response... 403 Forbidden
2022-08-03 06:36:26 ERROR 403: Forbidden.

Result of template parameter alignment generation:

sqlite> select count(*) from templates where source_lang='en' and target_lang='bh';
244
sqlite> select count(*) from templates where source_lang='en' and target_lang='bm';
1
sqlite> select count(*) from templates where source_lang='en' and target_lang='dv';
12
sqlite> select count(*) from templates where source_lang='en' and target_lang='ee';
5
sqlite> select count(*) from templates where source_lang='en' and target_lang='gn';
6
sqlite> select count(*) from templates where source_lang='en' and target_lang='gom';
10
sqlite> select count(*) from templates where source_lang='en' and target_lang='qu';
2
sqlite> select count(*) from templates where source_lang='en' and target_lang='sa';
91
sqlite> select count(*) from templates where source_lang='en' and target_lang='ti';
5
sqlite> select count(*) from templates where source_lang='en' and target_lang='tw';
2

Change 820137 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[mediawiki/services/cxserver@master] Update template parameter alignments for WPs with new MT support from Google

https://gerrit.wikimedia.org/r/820137

Change 820137 merged by jenkins-bot:

[mediawiki/services/cxserver@master] Update template parameter alignments for WPs with new MT support from Google

https://gerrit.wikimedia.org/r/820137

Change 820075 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[operations/deployment-charts@master] Update cxserver to 2022-08-04-022612-production

https://gerrit.wikimedia.org/r/820075

Change 820075 merged by jenkins-bot:

[operations/deployment-charts@master] Update cxserver to 2022-08-04-022612-production

https://gerrit.wikimedia.org/r/820075

Mentioned in SAL (#wikimedia-operations) [2022-08-04T05:49:40Z] <kart_> Updated cxserver to 2022-08-04-022612-production (T313296, T308248)

Change 821170 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[operations/mediawiki-config@master] Enable SectionTranslation on testwiki with new MT support from Google

https://gerrit.wikimedia.org/r/821170

Change 821170 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable SectionTranslation on testwiki with new MT support from Google

https://gerrit.wikimedia.org/r/821170

Mentioned in SAL (#wikimedia-operations) [2022-08-10T07:11:45Z] <kartik@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:821170|Enable SectionTranslation on testwiki with new MT support from Google (T313296)]] (duration: 05m 44s)

KartikMistry changed the task status from Open to In Progress.Wed, Aug 10, 7:16 AM
KartikMistry reassigned this task from KartikMistry to UOzurumba.
KartikMistry updated Other Assignee, added: KartikMistry.
KartikMistry updated the task description. (Show Details)
KartikMistry added a subscriber: KartikMistry.

@UOzurumba We can now start a discussion with communities for the above Wikipedias (See list with checkbox).